# Showcase

There are many developers and teams using XState [in the wild](https://github.com/statelyai/xstate/issues/255), to help control various aspects of their applications, in the frontend and backend, and in many different frameworks (or even without a framework!):

- The [Hashicorp Vault project](https://vaultproject.io) uses XState to control contextual user flows for getting new users up and running. The machines are [in the open-source repository](https://github.com/hashicorp/vault).
- The [Service Workies game](https://serviceworkies.com/) has many levels whose flows are controlled by XState.
  - https://twitter.com/geddski/status/1090404900318502912
- "At [bridge21.com](https://bridge21.com) we are re-writing our site using XState 3 and react-automata. It's a game changer.
- [KongHQ](https://konghq.com/products/kong-manager) has it "...deployed to production in Kong to handle form states (error, loading, modal, fetch machines etc.) [in our Vue app](https://konghq.com/products/kong-manager)"
- "Using XState 4 extensively in [4D Healthware](https://www.4dhealthware.com/)'s frontend app.
- "We are using XState at [Meru Health](https://www.meruhealth.com/) in our React Native app for managing many interactions.
  - There is also a relevant [presentation of using XState at React Helsinki](https://www.facebook.com/fraktio/videos/780228525664779/?t=4263)
- "I used XState in a touchable app for the Royal Tyrrell Museum (Alberta - Canada) and documented its use in this article: ["Modeling a Screensaver with a Statechart, a real use case"](https://medium.com/@carloslfu/modeling-a-screensaver-with-a-statechart-a-real-use-case-f57301682570)."
- "Used XState for the navigation of a keg analytics web-app [BinaryBeer](https://binarybeer.io/)."
- "Used XState to model data fetching and filtering of a collection of products 👉 [stimm.com](https://stimm.com)"
- "We're now using xstate to power a couple of the more complicated interactions at my place in our Behavior Insights Engine at [Maritz](https://www.maritz.com/).
- At [Cypress](https://cypress.io) we chose XState to manage state for our open source [Real World App](https://github.com/cypress-io/cypress-realworld-app). The app is a payment application used to demonstrate real-world usage of Cypress testing methods, patterns, and workflows. [The machines](https://github.com/cypress-io/cypress-realworld-app/tree/develop/src/machines) are used for several different types of scenarios present in modern, responsive web applications.
- "We use XState at the backend in projects to control entity state" (https://www.linkedin.com/in/haltentech-team)
